FreeMat

- Main Page
- Related Pages

vtkDensifyPolyData

Section: Visualization Toolkit Graphics Classes

# Usage

The filter takes any polygonal data as input and will tessellate cells that are planar polygons present by fanning out triangles from its centroid. Other cells are simply passed through to the output. PointData, if present, is interpolated via linear interpolation. CellData for any tessellated cell is simply copied over from its parent cell. Planar polygons are assumed to be convex. Funny things will happen if they are not.

The number of subdivisions can be controlled by the parameter NumberOfSubdivisions.

To create an instance of class vtkDensifyPolyData, simply invoke its constructor as follows

      obj = vtkDensifyPolyData

# Methods

The class vtkDensifyPolyData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDensifyPolyData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDensifyPolyData = obj.NewInstance ()`
- `vtkDensifyPolyData = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfSubdivisions (int )` - Number of recursive subdivisions. Initial value is 1.
- `int = obj.GetNumberOfSubdivisions ()` - Number of recursive subdivisions. Initial value is 1.